=== doc/CMakeLists.txt ===
if(SHOULD_BUILD_KARBON)
	add_subdirectory(karbon)
endif(SHOULD_BUILD_KARBON)
add_subdirectory(kchart)
if(BUILD_kexi)
    if( BZIP2_EXECUTABLE )
        add_subdirectory(kexi)
    endif( BZIP2_EXECUTABLE )
endif(BUILD_kexi)
add_subdirectory(kformula)
add_subdirectory(kivio)
add_subdirectory(koffice)
add_subdirectory(kplato)
if(SHOULD_BUILD_KPRESENTER)
        add_subdirectory(kpresenter)
endif(SHOULD_BUILD_KPRESENTER)
if(SHOULD_BUILD_KSPREAD)
	add_subdirectory(kspread)
endif(SHOULD_BUILD_KSPREAD)
add_subdirectory(thesaurus)

INSTALL(FILES   koffice.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
