=== kchart/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /usr/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Devel\" \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(CMAKE_COMMAND) -E cmake_progress_start /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/CMakeFiles /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/kchart/CMakeFiles/progress.make
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kchart/all
	$(CMAKE_COMMAND) -E cmake_progress_start /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kchart/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kchart/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kchart/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
kchart/CMakeFiles/kchartcommon.dir/rule:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kchart/CMakeFiles/kchartcommon.dir/rule
.PHONY : kchart/CMakeFiles/kchartcommon.dir/rule

# Convenience name for target.
kchartcommon: kchart/CMakeFiles/kchartcommon.dir/rule
.PHONY : kchartcommon

# fast build rule for target.
kchartcommon/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/build
.PHONY : kchartcommon/fast

# Convenience name for target.
kchart/CMakeFiles/kchartcommon_automoc.dir/rule:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kchart/CMakeFiles/kchartcommon_automoc.dir/rule
.PHONY : kchart/CMakeFiles/kchartcommon_automoc.dir/rule

# Convenience name for target.
kchartcommon_automoc: kchart/CMakeFiles/kchartcommon_automoc.dir/rule
.PHONY : kchartcommon_automoc

# fast build rule for target.
kchartcommon_automoc/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon_automoc.dir/build.make kchart/CMakeFiles/kchartcommon_automoc.dir/build
.PHONY : kchartcommon_automoc/fast

# target to build an object file
KChartCanvas.o:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartCanvas.o
.PHONY : KChartCanvas.o

# target to preprocess a source file
KChartCanvas.i:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartCanvas.i
.PHONY : KChartCanvas.i

# target to generate assembly for a file
KChartCanvas.s:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartCanvas.s
.PHONY : KChartCanvas.s

# target to build an object file
KChartFactory.o:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartFactory.o
.PHONY : KChartFactory.o

# target to preprocess a source file
KChartFactory.i:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartFactory.i
.PHONY : KChartFactory.i

# target to generate assembly for a file
KChartFactory.s:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartFactory.s
.PHONY : KChartFactory.s

# target to build an object file
KChartPart.o:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartPart.o
.PHONY : KChartPart.o

# target to preprocess a source file
KChartPart.i:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartPart.i
.PHONY : KChartPart.i

# target to generate assembly for a file
KChartPart.s:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartPart.s
.PHONY : KChartPart.s

# target to build an object file
KChartPrintJob.o:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartPrintJob.o
.PHONY : KChartPrintJob.o

# target to preprocess a source file
KChartPrintJob.i:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartPrintJob.i
.PHONY : KChartPrintJob.i

# target to generate assembly for a file
KChartPrintJob.s:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartPrintJob.s
.PHONY : KChartPrintJob.s

# target to build an object file
KChartView.o:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartView.o
.PHONY : KChartView.o

# target to preprocess a source file
KChartView.i:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartView.i
.PHONY : KChartView.i

# target to generate assembly for a file
KChartView.s:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartView.s
.PHONY : KChartView.s

# target to build an object file
KChartViewAdaptor.o:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartViewAdaptor.o
.PHONY : KChartViewAdaptor.o

# target to preprocess a source file
KChartViewAdaptor.i:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartViewAdaptor.i
.PHONY : KChartViewAdaptor.i

# target to generate assembly for a file
KChartViewAdaptor.s:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kchart/CMakeFiles/kchartcommon.dir/build.make kchart/CMakeFiles/kchartcommon.dir/KChartViewAdaptor.s
.PHONY : KChartViewAdaptor.s

# target to build an object file
dialogs/KCPageLayout.o:
