=== kounavail/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /usr/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Devel\" \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(CMAKE_COMMAND) -E cmake_progress_start /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/CMakeFiles /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/kounavail/CMakeFiles/progress.make
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kounavail/all
	$(CMAKE_COMMAND) -E cmake_progress_start /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kounavail/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kounavail/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kounavail/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
kounavail/CMakeFiles/kounavailpart.dir/rule:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kounavail/CMakeFiles/kounavailpart.dir/rule
.PHONY : kounavail/CMakeFiles/kounavailpart.dir/rule

# Convenience name for target.
kounavailpart: kounavail/CMakeFiles/kounavailpart.dir/rule
.PHONY : kounavailpart

# fast build rule for target.
kounavailpart/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kounavail/CMakeFiles/kounavailpart.dir/build.make kounavail/CMakeFiles/kounavailpart.dir/build
.PHONY : kounavailpart/fast

# Convenience name for target.
kounavail/CMakeFiles/kounavailpart_automoc.dir/rule:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kounavail/CMakeFiles/kounavailpart_automoc.dir/rule
.PHONY : kounavail/CMakeFiles/kounavailpart_automoc.dir/rule

# Convenience name for target.
kounavailpart_automoc: kounavail/CMakeFiles/kounavailpart_automoc.dir/rule
.PHONY : kounavailpart_automoc

# fast build rule for target.
kounavailpart_automoc/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kounavail/CMakeFiles/kounavailpart_automoc.dir/build.make kounavail/CMakeFiles/kounavailpart_automoc.dir/build
.PHONY : kounavailpart_automoc/fast

# target to build an object file
kounavail.o:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kounavail/CMakeFiles/kounavailpart.dir/build.make kounavail/CMakeFiles/kounavailpart.dir/kounavail.o
.PHONY : kounavail.o

# target to preprocess a source file
kounavail.i:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kounavail/CMakeFiles/kounavailpart.dir/build.make kounavail/CMakeFiles/kounavailpart.dir/kounavail.i
.PHONY : kounavail.i

# target to generate assembly for a file
kounavail.s:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kounavail/CMakeFiles/kounavailpart.dir/build.make kounavail/CMakeFiles/kounavailpart.dir/kounavail.s
.PHONY : kounavail.s

# target to build an object file
kounavailpart_automoc.o:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kounavail/CMakeFiles/kounavailpart.dir/build.make kounavail/CMakeFiles/kounavailpart.dir/kounavailpart_automoc.o
.PHONY : kounavailpart_automoc.o

# target to preprocess a source file
kounavailpart_automoc.i:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kounavail/CMakeFiles/kounavailpart.dir/build.make kounavail/CMakeFiles/kounavailpart.dir/kounavailpart_automoc.i
.PHONY : kounavailpart_automoc.i

# target to generate assembly for a file
kounavailpart_automoc.s:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kounavail/CMakeFiles/kounavailpart.dir/build.make kounavail/CMakeFiles/kounavailpart.dir/kounavailpart_automoc.s
.PHONY : kounavailpart_automoc.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... kounavailpart"
	@echo "... kounavailpart_automoc"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... test"
	@echo "... kounavail.o"
	@echo "... kounavail.i"
	@echo "... kounavail.s"
	@echo "... kounavailpart_automoc.o"
	@echo "... kounavailpart_automoc.i"
	@echo "... kounavailpart_automoc.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system
