=== kspread/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /usr/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: install/local
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: install/strip
.PHONY : install/strip/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Devel\" \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test
.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(CMAKE_COMMAND) -E cmake_progress_start /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/CMakeFiles /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/kspread/CMakeFiles/progress.make
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kspread/all
	$(CMAKE_COMMAND) -E cmake_progress_start /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kspread/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kspread/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kspread/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
kspread/CMakeFiles/kdeinit_kspread.dir/rule:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kspread/CMakeFiles/kdeinit_kspread.dir/rule
.PHONY : kspread/CMakeFiles/kdeinit_kspread.dir/rule

# Convenience name for target.
kdeinit_kspread: kspread/CMakeFiles/kdeinit_kspread.dir/rule
.PHONY : kdeinit_kspread

# fast build rule for target.
kdeinit_kspread/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kspread/CMakeFiles/kdeinit_kspread.dir/build.make kspread/CMakeFiles/kdeinit_kspread.dir/build
.PHONY : kdeinit_kspread/fast

# Convenience name for target.
kspread/CMakeFiles/kdeinit_kspread_automoc.dir/rule:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kspread/CMakeFiles/kdeinit_kspread_automoc.dir/rule
.PHONY : kspread/CMakeFiles/kdeinit_kspread_automoc.dir/rule

# Convenience name for target.
kdeinit_kspread_automoc: kspread/CMakeFiles/kdeinit_kspread_automoc.dir/rule
.PHONY : kdeinit_kspread_automoc

# fast build rule for target.
kdeinit_kspread_automoc/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kspread/CMakeFiles/kdeinit_kspread_automoc.dir/build.make kspread/CMakeFiles/kdeinit_kspread_automoc.dir/build
.PHONY : kdeinit_kspread_automoc/fast

# Convenience name for target.
kspread/CMakeFiles/kspread.dir/rule:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kspread/CMakeFiles/kspread.dir/rule
.PHONY : kspread/CMakeFiles/kspread.dir/rule

# Convenience name for target.
kspread: kspread/CMakeFiles/kspread.dir/rule
.PHONY : kspread

# fast build rule for target.
kspread/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kspread/CMakeFiles/kspread.dir/build.make kspread/CMakeFiles/kspread.dir/build
.PHONY : kspread/fast

# Convenience name for target.
kspread/CMakeFiles/kspreadcommon.dir/rule:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kspread/CMakeFiles/kspreadcommon.dir/rule
.PHONY : kspread/CMakeFiles/kspreadcommon.dir/rule

# Convenience name for target.
kspreadcommon: kspread/CMakeFiles/kspreadcommon.dir/rule
.PHONY : kspreadcommon

# fast build rule for target.
kspreadcommon/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kspread/CMakeFiles/kspreadcommon.dir/build.make kspread/CMakeFiles/kspreadcommon.dir/build
.PHONY : kspreadcommon/fast

# Convenience name for target.
kspread/CMakeFiles/kspreadcommon_automoc.dir/rule:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kspread/CMakeFiles/kspreadcommon_automoc.dir/rule
.PHONY : kspread/CMakeFiles/kspreadcommon_automoc.dir/rule

# Convenience name for target.
kspreadcommon_automoc: kspread/CMakeFiles/kspreadcommon_automoc.dir/rule
.PHONY : kspreadcommon_automoc

# fast build rule for target.
kspreadcommon_automoc/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kspread/CMakeFiles/kspreadcommon_automoc.dir/build.make kspread/CMakeFiles/kspreadcommon_automoc.dir/build
.PHONY : kspreadcommon_automoc/fast

# Convenience name for target.
kspread/CMakeFiles/kspreadpart.dir/rule:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kspread/CMakeFiles/kspreadpart.dir/rule
.PHONY : kspread/CMakeFiles/kspreadpart.dir/rule

# Convenience name for target.
kspreadpart: kspread/CMakeFiles/kspreadpart.dir/rule
.PHONY : kspreadpart

# fast build rule for target.
kspreadpart/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kspread/CMakeFiles/kspreadpart.dir/build.make kspread/CMakeFiles/kspreadpart.dir/build
.PHONY : kspreadpart/fast

# Convenience name for target.
kspread/CMakeFiles/kspreadpart_automoc.dir/rule:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f CMakeFiles/Makefile2 kspread/CMakeFiles/kspreadpart_automoc.dir/rule
.PHONY : kspread/CMakeFiles/kspreadpart_automoc.dir/rule

# Convenience name for target.
kspreadpart_automoc: kspread/CMakeFiles/kspreadpart_automoc.dir/rule
.PHONY : kspreadpart_automoc

# fast build rule for target.
kspreadpart_automoc/fast:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kspread/CMakeFiles/kspreadpart_automoc.dir/build.make kspread/CMakeFiles/kspreadpart_automoc.dir/build
.PHONY : kspreadpart_automoc/fast

# target to build an object file
ApplicationSettings.o:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kspread/CMakeFiles/kspreadcommon.dir/build.make kspread/CMakeFiles/kspreadcommon.dir/ApplicationSettings.o
.PHONY : ApplicationSettings.o

# target to preprocess a source file
ApplicationSettings.i:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kspread/CMakeFiles/kspreadcommon.dir/build.make kspread/CMakeFiles/kspreadcommon.dir/ApplicationSettings.i
.PHONY : ApplicationSettings.i

# target to generate assembly for a file
ApplicationSettings.s:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kspread/CMakeFiles/kspreadcommon.dir/build.make kspread/CMakeFiles/kspreadcommon.dir/ApplicationSettings.s
.PHONY : ApplicationSettings.s

# target to build an object file
Binding.o:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kspread/CMakeFiles/kspreadcommon.dir/build.make kspread/CMakeFiles/kspreadcommon.dir/Binding.o
.PHONY : Binding.o

# target to preprocess a source file
Binding.i:
	cd /scratchbox/users/lassinie/home/lassinie/projects/office/src/tags/temp/koffice && $(MAKE) -f kspread/CMakeFiles/kspreadcommon.dir/build.make kspread/CMakeFiles/kspreadcommon.dir/Binding.i
.PHONY : Binding.i

# target to generate assembly for a file
Binding.s:
