=== debian/changelog ===
koffice (2.1.0-0) unstable; urgency=high

  * Upgraded to 2.1 koffice

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Mon, 20 Jul 2009 08:59:41 +0200

koffice (2.0.0-1) unstable; urgency=high

  * Initial packaging

 -- Jos van den Oever <../koffice_2.0.orig.tar.gz>  Mon, 20 Jul 2009 08:59:41 +0200
