=== debian/control ===
Source: koffice
Section: productivity
Priority: extra
Maintainer: Lassi Nieminen <lassi.ta.nieminen@nokia.com>
Build-Depends: cdbs (>= 0.4.52), debhelper (>= 5), quilt, cmake (>= 2.6.2), pkg-kde-tools (>= 0.4), libboost1.38-dev, libkok-dev, libpng12-dev, libeigen2-dev, libqt4-phonon, libxi-dev, libsm-dev, libjpeg62-dev, automoc, libgsf-1-dev
Standards-Version: 3.7.2

Package: koffice
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kofficemaemo (>= ${binary:Version})
Description: Office application suite
 <insert long description, indented with spaces>

Package: koffice-kchart
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kofficemaemo (>= ${binary:Version})
Description: Chart support for office application suite
 <insert long description, indented with spaces>

Package: koffice-dev
Architecture: any
Depends: koffice (>= ${source:Version}), kofficemaemo-dev (>= ${source:Version})
Description: Header files for koffice
 <insert long description, indented with spaces>

Package: kofficemaemo
Architecture: any
Depends: libkok, libgsf-1
Description: Office application suite for maemo.
 <insert long description, indented with spaces>

Package: kofficemaemo-dev
Architecture: any
Depends: kofficemaemo (>= ${binary:Version}), libkok-dev
Description: Office application suite dev files for maemo.
 <insert long description, indented with spaces>

Package: koffice-dbg
Section: debug
Architecture: any
Priority: extra
Depends: koffice (= ${binary:Version})
Description: debugging symbols for KOffice
 This package contains the debugging symbols associated with KOffice.
 They will automatically be used by gdb for debugging koffice-related
 issues.
