=== debian/rules ===
#!/usr/bin/make -f

DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_CMAKE_EXTRA_FLAGS := -DBUILD_artistictextshape=OFF -DBUILD_colorspaces=OFF  -DBUILD_doc=OFF  -DBUILD_generic_wrapper=OFF -DBUILD_karbon=OFF -DBUILD_kchart=ON -DBUILD_kexi=OFF -DBUILD_kformula=OFF -DBUILD_kivio=OFF -DBUILD_kspread=ON -DBUILD_libkowmf=OFF -DBUILD_musicshape=OFF -DBUILD_scan=OFF -DBUILD_simpletextedit=OFF -DTINY=ON -DCMAKE_CXX_LINK_FLAGS="-Wl,-rpath-link,/usr/lib -Wl,-rpath-link,/lib -Wl,-rpath-link,/opt/lib" -DCMAKE_CXX_FLAGS="-DKDE_NO_DEBUG_OUTPUT" -DCMAKE_BUILD_TYPE=Release
include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

#dpkg-shlibdeps debian/tmp/usr/bin/* debian/tmp/usr/lib/*
